public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ronny Gutbrod" <gentoo@tastytea.de>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: net-im/nheko/
Date: Mon,  4 Oct 2021 11:45:58 +0000 (UTC)	[thread overview]
Message-ID: <1633347791.37f86ec08bbfeabce2ed4720e1f7354d2a7473c8.tastytea@gentoo> (raw)

commit:     37f86ec08bbfeabce2ed4720e1f7354d2a7473c8
Author:     Ronny (tastytea) Gutbrod <gentoo <AT> tastytea <DOT> de>
AuthorDate: Sun Oct  3 20:58:37 2021 +0000
Commit:     Ronny Gutbrod <gentoo <AT> tastytea <DOT> de>
CommitDate: Mon Oct  4 11:43:11 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=37f86ec0

net-im/nheko: Version bump 0.9.0_pre20211003.

Signed-off-by: Ronny (tastytea) Gutbrod <gentoo <AT> tastytea.de>

 net-im/nheko/metadata.xml                   |  4 ++
 net-im/nheko/nheko-0.9.0_pre20211003.ebuild | 57 +++++++++++++++++++++++++++++
 2 files changed, 61 insertions(+)

diff --git a/net-im/nheko/metadata.xml b/net-im/nheko/metadata.xml
index 4a3f8ed7d..3da131833 100644
--- a/net-im/nheko/metadata.xml
+++ b/net-im/nheko/metadata.xml
@@ -8,4 +8,8 @@
 	<upstream>
 		<remote-id type="github">Nheko-Reborn/nheko</remote-id>
 	</upstream>
+	<use>
+		<flag name="video">Enables video calls</flag>
+		<flag name="voip">Enables audio calls</flag>
+	</use>
 </pkgmetadata>

diff --git a/net-im/nheko/nheko-0.9.0_pre20211003.ebuild b/net-im/nheko/nheko-0.9.0_pre20211003.ebuild
new file mode 100644
index 000000000..c214fa70f
--- /dev/null
+++ b/net-im/nheko/nheko-0.9.0_pre20211003.ebuild
@@ -0,0 +1,57 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake xdg
+
+MY_COMMIT="c43c2bd4b9481f761e9f1b16453f0e7f5b1beabe"
+DESCRIPTION="Desktop client for Matrix using Qt and C++14"
+HOMEPAGE="https://github.com/Nheko-Reborn/nheko"
+SRC_URI="https://github.com/Nheko-Reborn/${PN}/archive/${MY_COMMIT}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${PN}-${MY_COMMIT}"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="video voip"
+REQUIRED_USE="video? ( voip )"
+
+MY_GST_V="1.18"
+RDEPEND="
+	app-text/cmark
+	>=dev-db/lmdb++-1.0.0
+	>=dev-libs/mtxclient-0.5.2_pre20210916
+	>=dev-libs/qtkeychain-0.12.0
+	dev-libs/spdlog
+	dev-qt/qtconcurrent:5
+	dev-qt/qtgraphicaleffects:5
+	dev-qt/qtmultimedia:5[qml]
+	dev-qt/qtquickcontrols2:5
+	dev-qt/qtsvg:5
+	voip? (
+		dev-qt/qtmultimedia:5[gstreamer]
+		>=media-plugins/gst-plugins-dtls-${MY_GST_V}
+		>=media-plugins/gst-plugins-meta-${MY_GST_V}[opus]
+		>=media-plugins/gst-plugins-srtp-${MY_GST_V}
+		>=media-plugins/gst-plugins-webrtc-${MY_GST_V}
+		video? (
+			>=media-libs/gst-plugins-base-${MY_GST_V}[opengl]
+			>=media-plugins/gst-plugins-meta-${MY_GST_V}[v4l,vpx]
+			>=media-plugins/gst-plugins-qt5-${MY_GST_V}
+			>=media-plugins/gst-plugins-ximagesrc-${MY_GST_V}
+			x11-libs/xcb-util-wm
+		)
+	)
+"
+DEPEND="
+	dev-cpp/nlohmann_json
+	${RDEPEND}
+"
+BDEPEND="dev-qt/linguist-tools:5"
+
+src_prepare() {
+	use voip || sed -i '/^pkg_check_modules(GSTREAMER/d' CMakeLists.txt || die
+
+	cmake_src_prepare
+}


             reply	other threads:[~2021-10-04 11:46 UTC|newest]

Thread overview: 79+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-10-04 11:45 Ronny Gutbrod [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-04 14:09 [gentoo-commits] repo/proj/guru:dev commit in: net-im/nheko/ Ronny Gutbrod
2024-12-08  9:38 Anna Vyalkova
2024-09-13 10:19 David Roman
2024-09-13  7:21 Ronny Gutbrod
2024-09-12 17:35 David Roman
2024-07-31  2:30 Amano Kenji
2024-07-26  4:00 Joe Kappus
2024-07-26  3:19 Joe Kappus
2024-07-05 16:59 Ronny Gutbrod
2024-06-16 14:55 Ronny Gutbrod
2024-06-13 13:35 Ronny Gutbrod
2024-06-13 13:35 Ronny Gutbrod
2024-06-13 12:55 Ronny Gutbrod
2024-03-24 15:17 Ronny Gutbrod
2024-03-12  9:08 Ronny Gutbrod
2024-02-06 15:14 Anna Vyalkova
2024-02-06 15:14 Anna Vyalkova
2024-02-02  0:38 Ronny Gutbrod
2023-11-29  8:54 Anna Vyalkova
2023-11-29  8:54 Anna Vyalkova
2023-11-27 21:11 Ronny Gutbrod
2023-11-27 18:50 Anna Vyalkova
2023-07-01 17:16 Anna Vyalkova
2023-06-14 11:55 Ronny Gutbrod
2023-06-10 23:39 Joe Kappus
2023-05-01  8:47 Ronny Gutbrod
2023-02-23  9:53 Ronny Gutbrod
2023-02-23  9:53 Ronny Gutbrod
2023-02-21 15:00 Ronny Gutbrod
2023-02-21 15:00 Ronny Gutbrod
2023-02-21 15:00 Ronny Gutbrod
2023-02-03  9:47 Ronny Gutbrod
2023-01-23 15:56 Ronny Gutbrod
2023-01-17  1:02 Ronny Gutbrod
2023-01-17  1:02 Ronny Gutbrod
2023-01-13 16:50 Ronny Gutbrod
2022-12-06  8:15 Sam James
2022-12-04 12:13 Ronny Gutbrod
2022-10-02 10:02 Ronny Gutbrod
2022-09-28 16:04 Ronny Gutbrod
2022-09-28 16:04 Ronny Gutbrod
2022-09-08  1:46 [gentoo-commits] repo/proj/guru:master " Ronny Gutbrod
2022-09-08  0:09 ` [gentoo-commits] repo/proj/guru:dev " Ronny Gutbrod
2022-09-08  0:09 Ronny Gutbrod
2022-07-23 16:15 Ronny Gutbrod
2022-07-23 16:15 Ronny Gutbrod
2022-03-29  0:23 [gentoo-commits] repo/proj/guru:master " Ronny Gutbrod
2022-03-29  0:22 ` [gentoo-commits] repo/proj/guru:dev " Ronny Gutbrod
2022-03-25 15:17 [gentoo-commits] repo/proj/guru:master " Ronny Gutbrod
2022-03-25  9:42 ` [gentoo-commits] repo/proj/guru:dev " Ronny Gutbrod
2022-03-25  9:42 Ronny Gutbrod
2022-03-10 13:53 Ronny Gutbrod
2022-03-07 16:22 Ronny Gutbrod
2022-01-18 14:41 Ronny Gutbrod
2021-12-21 11:46 Ronny Gutbrod
2021-12-21 11:46 Ronny Gutbrod
2021-12-06  7:19 Ronny Gutbrod
2021-11-21 18:49 Ronny Gutbrod
2021-11-21 18:49 Ronny Gutbrod
2021-11-20  3:01 Ronny Gutbrod
2021-11-19 18:38 Ronny Gutbrod
2021-11-19  1:15 Ronny Gutbrod
2021-11-19  1:15 Ronny Gutbrod
2021-10-16 18:31 Ronny Gutbrod
2021-10-16 16:27 Ronny Gutbrod
2021-10-16 16:27 Ronny Gutbrod
2021-10-04 11:45 Ronny Gutbrod
2021-06-24  9:27 Ronny Gutbrod
2021-04-23 10:56 Ronny Gutbrod
2021-04-23 10:56 Ronny Gutbrod
2021-04-21  6:21 Ronny Gutbrod
2021-04-09 16:46 Ronny Gutbrod
2021-01-28  1:44 Ronny Gutbrod
2021-01-28  1:44 Ronny Gutbrod
2021-01-20  3:39 Ronny Gutbrod
2021-01-20  3:39 Ronny Gutbrod
2020-08-15 12:18 Ronny Gutbrod
2020-08-15 12:18 Ronny Gutbrod
2020-07-19 22:07 Ronny Gutbrod
2020-06-13  1:28 Ronny Gutbrod
2020-05-25  1:03 Ronny Gutbrod

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1633347791.37f86ec08bbfeabce2ed4720e1f7354d2a7473c8.tastytea@gentoo \
    --to=gentoo@tastytea.de \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox